javax.swing.plaf.basic

## Class BasicComboPopup.ListMouseHandler

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.basic.BasicComboPopup.ListMouseHandler

All Implemented Interfaces:
  MouseListener, MouseMotionListener, MouseWheelListener, EventListener

Enclosing class:
  BasicComboPopup

    protected class BasicComboPopup.ListMouseHandler
    extends MouseAdapter

This listener hides the popup when the mouse is released in the list.

### Constructor Summary

Constructors
`protected` `ListMouseHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` `mouseReleased(MouseEvent anEvent)` Invoked when a mouse button has been released on a component.

### Methods inherited from class java.awt.event.MouseAdapter

`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListMouseHandler

    protected ListMouseHandler()

### Method Detail

#### mousePressed

    public void mousePressed(MouseEvent e)

Description copied from class: `MouseAdapter`
Invoked when a mouse button has been pressed on a component.

Specified by:
  `mousePressed` in interface `MouseListener`
Overrides:
  `mousePressed` in class `MouseAdapter`

#### mouseReleased

    public void mouseReleased(MouseEvent anEvent)

Description copied from class: `MouseAdapter`
Invoked when a mouse button has been released on a component.

Specified by:
  `mouseReleased` in interface `MouseListener`
Overrides:
  `mouseReleased` in class `MouseAdapter`